NX Open C++ Reference Guide
|
Provides methods for calculating and displaying the measurement information. More...
Public Types | |
enum | DeviationReportType { DeviationReportTypeNoDeviation, DeviationReportTypeAllDeviation, DeviationReportTypeMaximumDistance, DeviationReportTypeMinimumDistance, DeviationReportTypeMaximumAngle, DeviationReportTypeMinimumAngle } |
Describes type of the 'Deviation Checking' report. More... | |
Public Member Functions | |
void | DisplayAngle (NXOpen::NXObject *object1, const NXOpen::Point3d &position1, NXOpen::NXObject *object2, const NXOpen::Point3d &position2) |
Calculates and displays 'Angle' between objects. | |
void | DisplayArcLength (const std::vector< NXOpen::DisplayableObject * > &selectedObjects) |
Calculates and displays 'Total Arc Length' of all the selected objects. | |
void | DisplayArcLengthBetweenPoints (NXOpen::Point *point1, NXOpen::Point *point2) |
Calculates and displays the arc length between two points on curves. | |
void | DisplayDeviationChecking (NXOpen::ICurve *curve1, NXOpen::ICurve *curve2, int numOfCheckPoints, double distanceTolerance, double angularTolerance, NXOpen::Measurement::DeviationReportType reportType) |
Checks deviations between curves (curve to curve),and displays the report. | |
void | DisplayDeviationChecking (NXOpen::Curve *curve1, NXOpen::Face *face2, int numOfCheckPoints, double distanceTolerance, double angularTolerance, NXOpen::Measurement::DeviationReportType reportType) |
Checks deviations between a curve and a face (curve to face), and displays the report. | |
void | DisplayDeviationChecking (NXOpen::Face *face1, NXOpen::Edge *edge1, NXOpen::Face *face2, int numOfCheckPoints, double distanceTolerance, double angularTolerance, NXOpen::Measurement::DeviationReportType reportType) |
Checks deviations between a edge and a face (edge to face), and displays the report. | |
void | DisplayDeviationChecking (NXOpen::Face *face1, NXOpen::Face *face2, int numOfCheckPointsU, int numOfCheckPointsV, double distanceTolerance, double angularTolerance, NXOpen::Measurement::DeviationReportType reportType) |
Checks deviations between faces (face to face), and displays the report. | |
void | DisplayDeviationChecking (NXOpen::Face *face1, NXOpen::Edge *edge1, NXOpen::Face *face2, NXOpen::Edge *edge2, int numOfCheckPoints, double distanceTolerance, double angularTolerance, NXOpen::Measurement::DeviationReportType reportType) |
Checks deviations between edges (edge to edge), and displays the report. | |
void | DisplayMinimumDistance (NXOpen::DisplayableObject *object1, NXOpen::DisplayableObject *object2, NXOpen::Point3d *closePoint1, NXOpen::Point3d *closePoint2) |
Calculates and displays 'Minimum Distance " between objects. | |
void | DisplayMinimumDistance (NXOpen::NXObject *object1, const NXOpen::Point3d &startPointForObject1, NXOpen::NXObject *object2, const NXOpen::Point3d &startPointForObject2, NXOpen::Point3d *closePoint1, NXOpen::Point3d *closePoint2) |
Calculates and displays 'Minimum Distance' between objects. | |
void | DisplayMinimumDistance (NXOpen::NXObject *object1, const NXOpen::Point3d &startPointForObject1, NXOpen::NXObject *object2, NXOpen::Point3d *closePoint1, NXOpen::Point3d *closePoint2) |
Calculates and displays 'Minimum Distance' between objects. | |
void | DisplayMinimumDistance (NXOpen::NXObject *object1, NXOpen::NXObject *object2, const NXOpen::Point3d &startPointForObject2, NXOpen::Point3d *closePoint1, NXOpen::Point3d *closePoint2) |
Calculates and displays 'Minimum Distance' between objects. | |
void | DisplayRoutingPathLength (const std::vector< NXOpen::Routing::ISegment * > &selectedObjects, std::vector< NXOpen::Routing::ISegment * > &usedObjects) |
Calculates and displays the Routing path length. | |
double | GetAngle (NXOpen::NXObject *object1, const NXOpen::Point3d &position1, NXOpen::NXObject *object2, const NXOpen::Point3d &position2) |
Calculates and returns 'True Angle' between objects. | |
double | GetArcLength (const std::vector< NXOpen::DisplayableObject * > &selectedObjects) |
Calculates and returns 'Total Arc Length' of all the selected objects. | |
void | GetArcLengthBetweenPoints (NXOpen::Point *point1, NXOpen::Point *point2, double *length, std::vector< NXOpen::Curve * > &curves) |
Calculates and returns the arc length between two points on curves. | |
double | GetMinimumDistance (NXOpen::NXObject *object1, NXOpen::NXObject *object2, NXOpen::Point3d *closePoint1, NXOpen::Point3d *closePoint2, double *accuracy) |
Calculates and returns 'Minimum Distance " between objects. | |
double | GetMinimumDistance (NXOpen::NXObject *object1, const NXOpen::Point3d &startPointForObject1, NXOpen::NXObject *object2, const NXOpen::Point3d &startPointForObject2, NXOpen::Point3d *closePoint1, NXOpen::Point3d *closePoint2, double *accuracy) |
Calculates and returns 'Minimum Distance " between objects. | |
double | GetMinimumDistance (NXOpen::NXObject *object1, const NXOpen::Point3d &startPointForObject1, NXOpen::NXObject *object2, NXOpen::Point3d *closePoint1, NXOpen::Point3d *closePoint2, double *accuracy) |
Calculates and returns 'Minimum Distance " between objects. | |
double | GetMinimumDistance (NXOpen::NXObject *object1, NXOpen::NXObject *object2, const NXOpen::Point3d &startPointForObject2, NXOpen::Point3d *closePoint1, NXOpen::Point3d *closePoint2, double *accuracy) |
Calculates and returns 'Minimum Distance " between objects. | |
double | GetRoutingPathLength (const std::vector< NXOpen::NXObject * > &selectedObjects, std::vector< NXOpen::NXObject * > &usedObjects, std::vector< double > &individualLengths) |
Calculates and returns the Routing path length. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Provides methods for calculating and displaying the measurement information.
To obtain an instance of this class, refer to Session
Created in NX3.0.0.
Describes type of the 'Deviation Checking' report.
void NXOpen::Measurement::DisplayAngle | ( | NXOpen::NXObject * | object1, |
const NXOpen::Point3d & | position1, | ||
NXOpen::NXObject * | object2, | ||
const NXOpen::Point3d & | position2 | ||
) |
Calculates and displays 'Angle' between objects.
<br> Type of allowed input objects are - Edge, Face, Body, Curve, Direction or Feature etc. <br> <br> In Interactive mode, output will be displayed in the listing window <br> <br> In Batch mode, output will be displayed to the standard output (stdout) <br>
Created in NX3.0.0.
License requirements : None
void NXOpen::Measurement::DisplayArcLength | ( | const std::vector< NXOpen::DisplayableObject * > & | selectedObjects | ) |
Calculates and displays 'Total Arc Length' of all the selected objects.
<br> Type of allowed input objects are - @link Edge Edge@endlink ,@link Line Line@endlink ,@link Arc Arc@endlink ,@link Spline Spline@endlink ,and @link Curve Curve@endlink <br> <br> In Interactive mode, output will be displayed in the listing window <br> <br> In Batch mode, output will be displayed to the standard output (stdout) <br>
Created in NX3.0.0.
License requirements : None
selectedObjects | Array of objects for which length to be calculated |
void NXOpen::Measurement::DisplayArcLengthBetweenPoints | ( | NXOpen::Point * | point1, |
NXOpen::Point * | point2 | ||
) |
Calculates and displays the arc length between two points on curves.
The points may be on a single curve or a set of connected curves.
Type of allowed input objects is Point
In Interactive mode, output will be displayed in the listing window
In Batch mode, output will be displayed to the standard output (stdout)
Created in NX6.0.0.
License requirements : None
point1 | First point on curve |
point2 | Second point on curve |
void NXOpen::Measurement::DisplayDeviationChecking | ( | NXOpen::ICurve * | curve1, |
NXOpen::ICurve * | curve2, | ||
int | numOfCheckPoints, | ||
double | distanceTolerance, | ||
double | angularTolerance, | ||
NXOpen::Measurement::DeviationReportType | reportType | ||
) |
Checks deviations between curves (curve to curve),and displays the report.
<br> In Interactive mode, output will be displayed in the listing window <br> <br> In Batch mode, output will be displayed to the standard output (stdout) <br>
Created in NX3.0.0.
License requirements : None
void NXOpen::Measurement::DisplayDeviationChecking | ( | NXOpen::Curve * | curve1, |
NXOpen::Face * | face2, | ||
int | numOfCheckPoints, | ||
double | distanceTolerance, | ||
double | angularTolerance, | ||
NXOpen::Measurement::DeviationReportType | reportType | ||
) |
Checks deviations between a curve and a face (curve to face), and displays the report.
<br> In Interactive mode, output will be displayed in the listing window <br> <br> In Batch mode, output will be displayed to the standard output (stdout) <br>
Created in NX3.0.0.
License requirements : None
void NXOpen::Measurement::DisplayDeviationChecking | ( | NXOpen::Face * | face1, |
NXOpen::Edge * | edge1, | ||
NXOpen::Face * | face2, | ||
int | numOfCheckPoints, | ||
double | distanceTolerance, | ||
double | angularTolerance, | ||
NXOpen::Measurement::DeviationReportType | reportType | ||
) |
Checks deviations between a edge and a face (edge to face), and displays the report.
<br> In Interactive mode, output will be displayed in the listing window <br> <br> In Batch mode, output will be displayed to the standard output (stdout) <br>
Created in NX3.0.0.
License requirements : None
void NXOpen::Measurement::DisplayDeviationChecking | ( | NXOpen::Face * | face1, |
NXOpen::Face * | face2, | ||
int | numOfCheckPointsU, | ||
int | numOfCheckPointsV, | ||
double | distanceTolerance, | ||
double | angularTolerance, | ||
NXOpen::Measurement::DeviationReportType | reportType | ||
) |
Checks deviations between faces (face to face), and displays the report.
<br> In Interactive mode, output will be displayed in the listing window <br> <br> In Batch mode, output will be displayed to the standard output (stdout) <br>
Created in NX3.0.0.
License requirements : None
face1 | First face used for deviation checking |
face2 | Second face used for deviation checking |
numOfCheckPointsU | Number of equally spaced sample check points in u direction |
numOfCheckPointsV | Number of equally spaced sample check points in v direction |
distanceTolerance | Distance Tolerance |
angularTolerance | Angle Tolerance |
reportType | Type of the report |
void NXOpen::Measurement::DisplayDeviationChecking | ( | NXOpen::Face * | face1, |
NXOpen::Edge * | edge1, | ||
NXOpen::Face * | face2, | ||
NXOpen::Edge * | edge2, | ||
int | numOfCheckPoints, | ||
double | distanceTolerance, | ||
double | angularTolerance, | ||
NXOpen::Measurement::DeviationReportType | reportType | ||
) |
Checks deviations between edges (edge to edge), and displays the report.
<br> In Interactive mode, output will be displayed in the listing window <br> <br> In Batch mode, output will be displayed to the standard output (stdout) <br>
Created in NX3.0.0.
License requirements : None
face1 | Face on which edge1 lies |
edge1 | First edge used for deviation checking |
face2 | Face on which edge2 lies |
edge2 | Second edge used for deviation checking |
numOfCheckPoints | Number of equally spaced sample check points |
distanceTolerance | Distance Tolerance |
angularTolerance | Angle Tolerance |
reportType | Type of the report |
void NXOpen::Measurement::DisplayMinimumDistance | ( | NXOpen::DisplayableObject * | object1, |
NXOpen::DisplayableObject * | object2, | ||
NXOpen::Point3d * | closePoint1, | ||
NXOpen::Point3d * | closePoint2 | ||
) |
Calculates and displays 'Minimum Distance " between objects.
Start points are NOT specified for any of the objects.
Type of allowed input objects are - Curve, Edge, Face, Body, Plane, or Csys etc.
In Interactive mode, output will be displayed in the listing window
In Batch mode, output will be displayed to the standard output (stdout)
Created in NX3.0.0.
License requirements : None
object1 | First object |
object2 | Second object |
closePoint1 | Close point on first object |
closePoint2 | Close point on second object |
void NXOpen::Measurement::DisplayMinimumDistance | ( | NXOpen::NXObject * | object1, |
const NXOpen::Point3d & | startPointForObject1, | ||
NXOpen::NXObject * | object2, | ||
const NXOpen::Point3d & | startPointForObject2, | ||
NXOpen::Point3d * | closePoint1, | ||
NXOpen::Point3d * | closePoint2 | ||
) |
Calculates and displays 'Minimum Distance' between objects.
Start points are specified for both the objects. If any of object is Point,Pass NULL to the object and pass a point co-ordinates as a start point.
Type of allowed input objects are - Point, Curve, Edge, Face, Body, Plane, or Csys etc.
In Interactive mode, output will be displayed in the listing window
In Batch mode, output will be displayed to the standard output (stdout)
Created in NX3.0.0.
License requirements : None
object1 | First object |
startPointForObject1 | Start point for first object |
object2 | Second object |
startPointForObject2 | Start point for second object |
closePoint1 | Close point on first object |
closePoint2 | Close point on second object |
void NXOpen::Measurement::DisplayMinimumDistance | ( | NXOpen::NXObject * | object1, |
const NXOpen::Point3d & | startPointForObject1, | ||
NXOpen::NXObject * | object2, | ||
NXOpen::Point3d * | closePoint1, | ||
NXOpen::Point3d * | closePoint2 | ||
) |
Calculates and displays 'Minimum Distance' between objects.
Start points are specified only for object1.If any of object is Point,Pass NULL to the object1 and pass a point co-ordinates as a start_point_for_object_1.
Type of allowed input objects are - Point, Curve, Edge, Face, Body, Plane, or Csys etc.
In Interactive mode, output will be displayed in the listing window
In Batch mode, output will be displayed to the standard output (stdout)
Created in NX3.0.0.
License requirements : None
object1 | First object |
startPointForObject1 | Start point for first object |
object2 | Second object |
closePoint1 | Close point on first object |
closePoint2 | Close point on second object |
void NXOpen::Measurement::DisplayMinimumDistance | ( | NXOpen::NXObject * | object1, |
NXOpen::NXObject * | object2, | ||
const NXOpen::Point3d & | startPointForObject2, | ||
NXOpen::Point3d * | closePoint1, | ||
NXOpen::Point3d * | closePoint2 | ||
) |
Calculates and displays 'Minimum Distance' between objects.
Start points are specified only for object2.If any of object is Point,Pass NULL to the object2 and pass a point co-ordinates as a start_point_for_object_2.
Type of allowed input objects are - Point, Curve, Edge, Face, Body, Plane, or Csys etc.
In Interactive mode, output will be displayed in the listing window
In Batch mode, output will be displayed to the standard output (stdout)
Created in NX3.0.0.
License requirements : None
object1 | First object |
object2 | Second object |
startPointForObject2 | Start point for second object |
closePoint1 | Close point on first object |
closePoint2 | Close point on second object |
void NXOpen::Measurement::DisplayRoutingPathLength | ( | const std::vector< NXOpen::Routing::ISegment * > & | selectedObjects, |
std::vector< NXOpen::Routing::ISegment * > & | usedObjects | ||
) |
Calculates and displays the Routing path length.
If the path is disconnected, not all of the Routing::ISegment s can be arranged end to end, the length returned is the sum of the lengths of the segments.
Type of allowed input objects is Routing::ISegment
In Interactive mode, output will be displayed in the listing window
In Batch mode, output will be displayed to the standard output (stdout)
Created in NX6.0.0.
License requirements : None
selectedObjects | Array of Routing::ISegment s for which length is calculated |
usedObjects | Array of USED Routing::ISegment s for which length is calculated |
double NXOpen::Measurement::GetAngle | ( | NXOpen::NXObject * | object1, |
const NXOpen::Point3d & | position1, | ||
NXOpen::NXObject * | object2, | ||
const NXOpen::Point3d & | position2 | ||
) |
Calculates and returns 'True Angle' between objects.
<br> Type of allowed input objects are - Edge, Face, Body, Curve, Direction or Feature etc. <br> @return Angle between object1 and object2
Created in NX3.0.0.
License requirements : None
double NXOpen::Measurement::GetArcLength | ( | const std::vector< NXOpen::DisplayableObject * > & | selectedObjects | ) |
Calculates and returns 'Total Arc Length' of all the selected objects.
<br> Type of allowed input objects are - @link Edge Edge@endlink ,@link Line Line@endlink ,@link Arc Arc@endlink ,@link Spline Spline@endlink ,and @link Curve Curve@endlink <br> @return Total Arc Length
Created in NX3.0.0.
License requirements : None
selectedObjects | Array of objects for which length to be calculated |
void NXOpen::Measurement::GetArcLengthBetweenPoints | ( | NXOpen::Point * | point1, |
NXOpen::Point * | point2, | ||
double * | length, | ||
std::vector< NXOpen::Curve * > & | curves | ||
) |
Calculates and returns the arc length between two points on curves.
The points may be on a single curve or a set of connected curves. Also returns the curves that is the shortest path between the two points.
Type of allowed input objects is Point
Created in NX6.0.0.
License requirements : None
point1 | First point on curve |
point2 | Second point on curve |
length | Arc length between the two points |
curves | The curves of the shortest path |
double NXOpen::Measurement::GetMinimumDistance | ( | NXOpen::NXObject * | object1, |
NXOpen::NXObject * | object2, | ||
NXOpen::Point3d * | closePoint1, | ||
NXOpen::Point3d * | closePoint2, | ||
double * | accuracy | ||
) |
Calculates and returns 'Minimum Distance " between objects.
Start points are NOT specified for any of the objects.
Type of allowed input objects are - Curve, Edge, Face, Body, Plane, or Csys etc.
object1 | First object |
object2 | Second object |
closePoint1 | Close point on first object |
closePoint2 | Close point on second object |
accuracy | Accuracy of calculation |
double NXOpen::Measurement::GetMinimumDistance | ( | NXOpen::NXObject * | object1, |
const NXOpen::Point3d & | startPointForObject1, | ||
NXOpen::NXObject * | object2, | ||
const NXOpen::Point3d & | startPointForObject2, | ||
NXOpen::Point3d * | closePoint1, | ||
NXOpen::Point3d * | closePoint2, | ||
double * | accuracy | ||
) |
Calculates and returns 'Minimum Distance " between objects.
Start points are specified for both the objects. If any of object is Point,Pass NULL to the object and pass a point co-ordinates as a start point.
Type of allowed input objects are - Point, Curve, Edge, Face, Body, Plane, or Csys etc.
object1 | First object |
startPointForObject1 | Start point for first object |
object2 | Second object |
startPointForObject2 | Start point for second object |
closePoint1 | Close point on first object |
closePoint2 | Close point on second object |
accuracy | Accuracy of calculation |
double NXOpen::Measurement::GetMinimumDistance | ( | NXOpen::NXObject * | object1, |
const NXOpen::Point3d & | startPointForObject1, | ||
NXOpen::NXObject * | object2, | ||
NXOpen::Point3d * | closePoint1, | ||
NXOpen::Point3d * | closePoint2, | ||
double * | accuracy | ||
) |
Calculates and returns 'Minimum Distance " between objects.
Start points are specified only for first object. If any of object is Point,Pass NULL to the object1 and pass a point co-ordinates as a start_point_for_object_1.
Type of allowed input objects are - Point, Curve, Edge, Face, Body, Plane, or Csys etc.
object1 | First object |
startPointForObject1 | Start point for first object |
object2 | Second object |
closePoint1 | Close point on first object |
closePoint2 | Close point on second object |
accuracy | Accuracy of calculation |
double NXOpen::Measurement::GetMinimumDistance | ( | NXOpen::NXObject * | object1, |
NXOpen::NXObject * | object2, | ||
const NXOpen::Point3d & | startPointForObject2, | ||
NXOpen::Point3d * | closePoint1, | ||
NXOpen::Point3d * | closePoint2, | ||
double * | accuracy | ||
) |
Calculates and returns 'Minimum Distance " between objects.
Start points are specified only for second object. If any of object is Point,Pass NULL to the object2 and pass a point co-ordinates as a start_point_for_object_2.
Type of allowed input objects are - Point, Curve, Edge, Face, Body, Plane, or Csys etc.
object1 | First object |
object2 | Second object |
startPointForObject2 | Start point for second object |
closePoint1 | Close point on first object |
closePoint2 | Close point on second object |
accuracy | Accuracy of calculation |
double NXOpen::Measurement::GetRoutingPathLength | ( | const std::vector< NXOpen::NXObject * > & | selectedObjects, |
std::vector< NXOpen::NXObject * > & | usedObjects, | ||
std::vector< double > & | individualLengths | ||
) |
Calculates and returns the Routing path length.
If the path is disconnected, not all of the Routing::ISegment s can be arranged end to end, the length returned is the sum of the lengths of the segments.
Type of allowed input objects is Routing::ISegment
selectedObjects | Array of Routing::ISegment s and Assemblies::Component s for which length is calculated |
usedObjects | The routing objects used in the path length computation |
individualLengths | individuallengths |
tag_t NXOpen::Measurement::Tag | ( | ) | const |
Returns the tag of this object.